Subject: Re: bug#64158: --version copyright year stale, formatting

From: Bob Friesenhahn <[email-masked]>
Date: Mon, 19 Jun 2023 10:05:59 -0500 (CDT)

On Sun, 18 Jun 2023, Karl Berry wrote:
>
> Also, the ordering of the elements is wrong, and the license info is
> missing (and there are spurious blank lines). According to the coding
> standards, I believe it should be:
>
> --
>  libtool (GNU libtool) 2.4.7
>  Copyright (C) 2022 Free Software Foundation, Inc.
>  License GPLv2+/Autoconf: GNU GPL version 2 or later
>  <https://gnu.org/licenses/gpl.html>, <https://gnu.org/licenses/exceptions.html>
>  This is free software: you are free to change and redistribute it.
>  There is NO WARRANTY, to the extent permitted by law.

Parts of "libtool" are ofered under a special exception.  For example, 
in ltdl.c I see

"
As a special exception to the GNU Lesser General Public License,
if you distribute this file as part of a program or library that
is built using GNU Libtool, you may include this file under the
same distribution terms that you use for the rest of that program.
"

In fact in libtool-2.4.6 I see 51 files which mention "special 
exception".

This may be why the normal blanket statement does not appear in the 
--version text.

> Perhaps mention other post-Gord major authors, too.

That would be great since post-Gord authors produced most of the 
current product.

Bob
-- 
Bob Friesenhahn
[email-masked], http://www.simplesystems.org/users/bfriesen/
GraphicsMagick Maintainer,    http://www.GraphicsMagick.org/
Public Key,     http://www.simplesystems.org/users/bfriesen/public-key.txt